[API Reference](../README.md) > [StakeConfig](../interfaces/StakeConfig.md)



# Interface: StakeConfig


## Properties
<a id="amount"></a>

###  amount

**●  amount**:  *`BigNumber`⎮`string`* 

*Defined in [wrappers/genesisProtocol.ts:1147](https://github.com/daostack/arc.js/blob/9063ecdf/lib/wrappers/genesisProtocol.ts#L1147)*



token amount to stake on the outcome resulting in this vote, in Wei




___

<a id="proposalId"></a>

###  proposalId

**●  proposalId**:  *`string`* 

*Defined in [wrappers/genesisProtocol.ts:1151](https://github.com/daostack/arc.js/blob/9063ecdf/lib/wrappers/genesisProtocol.ts#L1151)*



unique hash of proposal index




___

<a id="vote"></a>

###  vote

**●  vote**:  *`number`* 

*Defined in [wrappers/genesisProtocol.ts:1155](https://github.com/daostack/arc.js/blob/9063ecdf/lib/wrappers/genesisProtocol.ts#L1155)*



the choice of vote. Can be 1 (YES) or 2 (NO).




___


